Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.filebuffers
Class FileBuffers

    java.lang.Object
      org.eclipse.core.filebuffers.FileBuffers

public final class FileBuffers
extends Object

Facade for the file buffers plug-in. Provides access to the text file buffer manager and helper methods for location handling. This facade is available independent from the activation status of the file buffers plug-in.

Since:
  3.0

Method Summary
`static File` | `getSystemFileAtLocation(IPath location)` Returns the file in the local file system for the given location.
`static ITextFileBufferManager` | `getTextFileBufferManager()` Returns the text file buffer manager.
`static IFile` | `getWorkspaceFileAtLocation(IPath location)` Returns the workspace file at the given location or `null` if the location is not a valid location in the workspace.
`static IPath` | `normalizeLocation(IPath location)` Returns a copy of the given location in a normalized form.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTextFileBufferManager

    public static ITextFileBufferManager getTextFileBufferManager()

  Returns the text file buffer manager. May return `null` if the file buffers plug-in may no be activated. This is, for example, the case when the method is called on plug-in shutdown.

  Returns:
    the text file buffer manager or `null`

### getWorkspaceFileAtLocation

    public static IFile getWorkspaceFileAtLocation(IPath location)

  Returns the workspace file at the given location or `null` if the location is not a valid location in the workspace.

  Parameters:
    `location` - the location
  Returns:
    the workspace file at the location or `null`

### normalizeLocation

    public static IPath normalizeLocation(IPath location)

  Returns a copy of the given location in a normalized form.

  Parameters:
    `location` - the location to be normalized
  Returns:
    normalized copy of location

### getSystemFileAtLocation

    public static File getSystemFileAtLocation(IPath location)

  Returns the file in the local file system for the given location.

  The location is either a full path of a workspace resource or an absolute path in the local file system.

  Parameters:
    `location` - the location
  Returns:
    the `File` in the local file system for the given location

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.